<?php

namespace Treewec\Admin\Editors;

/**
 * Test class for Editor.
 * Generated by PHPUnit on 2012-07-04 at 11:30:36.
 * @group admin_editor
 */
class EditorTest extends \PHPUnit_Framework_TestCase {

    /** @var Editor */
    private $object;

    protected function setUp() {
        $this->object = new Editor('plain');
    }

    public function testIncludeRequiredFilesInHTMLHead() {
        parent::assertTrue(is_string(\Treewec\Output::getPrintedText($this->object, 'includeRequiredFilesInHTMLHead')));
    }

    public function testPrintHeader() {
        parent::assertTrue(is_string(\Treewec\Output::getPrintedText($this->object, 'printHeader')));
    }

    public function testPrintFooter() {        
        parent::assertTrue(is_string(\Treewec\Output::getPrintedText($this->object, 'printFooter')));
    }

}

?>
